Pular para o conteúdo principal
GET
Buscar cliente

Autorizações

Authorization
string
header
obrigatório

Chave secreta da conta: Authorization: Bearer sk_test_… ou sk_live_…. Use só no servidor.

Parâmetros de caminho

customerID
string
obrigatório

ID do cliente.

Pattern: ^cus_[0-9A-Za-z]{22}$
Exemplo:

"cus_6Tq0Y2rGJ1aQ9zXk3LmPbV"

Resposta

O cliente ou a inscrição.

O cliente e todas as suas inscrições.

id
string
obrigatório

Id do cliente. Não é o id da inscrição.

Pattern: ^cus_[0-9A-Za-z]{22}$
Exemplo:

"cus_6Tq0Y2rGJ1aQ9zXk3LmPbV"

externalId
string
obrigatório

O id deste cliente no seu sistema.

stage
enum<string>
obrigatório
Opções disponíveis:
lead,
converted
convertedAt
string<date-time> | null
obrigatório
conversionPaymentId
string | null
obrigatório
Pattern: ^pay_[0-9A-Za-z]{22}$
Exemplo:

"pay_585vbbvnwDyuyeA3MTOitd"

createdAt
string<date-time>
obrigatório
name
string | null
email
string | null
taxId
string | null

CPF ou CNPJ.

phone
string | null

Telefone de contato, em formato internacional só com dígitos e sem + (por exemplo 5511999999999). Serve para contato e não identifica o cliente.

pspRef
string | null

Referência do cliente no meio de pagamento, quando existe.

enrollments
object[]